from django.contrib.syndication.feeds import Feed
from django.utils.feedgenerator import Atom1Feed
from blog.models import BlogEntry
from django.conf import settings

class LatestBlogEntries(Feed):
    feed_type = Atom1Feed
    title = settings.BLOG_TITLE
    description = u'Updates on %s' %(title,)
    link = settings.BLOG_ROOT

    title_template = 'blog/feeds/title.html'
    description_template = 'blog/feeds/description.html'

    def items(self):
        try:
            return BlogEntry.objects.all().order_by('-publish_date')[:20]
        except:
            return BlogEntry.objects.all().order_by('-publish_date')

    def item_pubdate(self, obj):
        return obj.publish_date
